.\" -*- nroff -*- generated from .Rd format
.BG
.FN plot.geodata
.TL
Exploratory Geostatistical Plots
.DN
This function produces an 2 x 2 graphics display with: plot
indicating data locations, a 3-D plot with data locations and values
(or a histogram of the data), two plots of the data against the X and
Y coordinates.
.CS

plot.geodata(geodata, coords=geodata$coords, data=geodata$data,
        trend="cte", lambda=1, col.data=1, window.new=FALSE, ...)

.RA
.AG geodata
a list containing elements `coords' and
`$data' described below. If not provided the arguments
`coords' and `data' must be provided instead.
.AG coords
an n x 2 matrix containing in each row Euclidean
coordinates of the n data locations. By default it takes the
element `$coords' of the argument `geodata'.
.AG data
a vector with data values. By default it takes the
element `$data' of the argument `geodata'.
.AG trend
specifies the mean part of the model. The options are:
`"cte"' (constant mean - default option), `"1st"' (a first degree polynomial
on the coordinates), `"2nd"' (a second degree polynomial
on the coordinates), or a formula of the type `~X' where `X'
is a matrix with the covariates (external trend).
If provided the trend is "removed" and residuals are plotted.
.AG lambda
Box-Cox transformation parameter. Two particular cases
are lambda = 1 which corresponds to no
transformation and  lambda = 0 corresponding to the log-transformation.
.AG col.data
indicates the column of the data to be plotted for the
cases where more than one data-set is available
.AG window.new
if `TRUE' a new graphic device is openned,
otherwise the current one is used. Defaults to `FALSE'.
.AG \&...
further arguments to be passed to the function `scatterplot3d'.
.RT
A plot is produced on the graphics device. No values returned.
.SH REFERENCES
Further information about `geoR/geoS' can be found at:
.br
<URL: http://www.maths.lancs.ac.uk/~ribeiro/geoR.html>
.SA
`points.geodata', `scatterplot3d'.
.EX
data(s100)  # R only 
plot(s100)
.KW spatial
.WR
